export declare function sumUint8ArrayLengths(arrays: readonly Uint8Array[]): number;
export declare function concatUint8Arrays(arrays: readonly Uint8Array[]): Uint8Array;
/**
 * Find the first index of `pattern` within `buffer`.
 * Returns -1 when not found.
 */
export declare function indexOfUint8ArrayPattern(buffer: Uint8Array, pattern: Uint8Array, startIndex?: number): number;
